OpenVDB: MagnitudeExtent< VecT, false > Struct Template Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
MagnitudeExtent< VecT, false > Struct Template Reference

Vector squared magnitude op to evaluate the min/max of a vector attribute and return the result as the original vector. More...

`#include <openvdb/points/PointStatistics.h>`

## Public Types
using | ElementT = typename ValueTraits< VecT >::ElementType
using | ExtentT = std::pair< VecT, VecT >

## Public Member Functions
| MagnitudeExtent (const VecT &init)
| MagnitudeExtent (const ExtentT &init)
const ExtentT & | get () const
void | operator() (const VecT &b)
void | operator() (const ExtentT &b)

## Public Attributes
std::pair< ElementT, ElementT > | mLengths
ExtentT | mMinMax

## Detailed Description

template<typename VecT>
struct openvdb::v10_0::points::statistics_internal::MagnitudeExtent< VecT, false >

Vector squared magnitude op to evaluate the min/max of a vector attribute and return the result as the original vector.

## Member Typedef Documentation

## ◆ ElementT

template<typename VecT >

using ElementT = typename ValueTraits<VecT>::ElementType

## ◆ ExtentT

template<typename VecT >

using ExtentT = std::pair<VecT, VecT>

## Constructor & Destructor Documentation

## ◆ MagnitudeExtent() [1/2]

template<typename VecT >

MagnitudeExtent | ( | const VecT & | init | ) |
| inline

## ◆ MagnitudeExtent() [2/2]

template<typename VecT >

MagnitudeExtent | ( | const ExtentT & | init | ) |
| inline

## Member Function Documentation

## ◆ get()

template<typename VecT >

const ExtentT & get | ( |  | ) | const
| inline

## ◆ operator()() [1/2]

template<typename VecT >

void operator() | ( | const ExtentT & | b | ) |
| inline

## ◆ operator()() [2/2]

template<typename VecT >

void operator() | ( | const VecT & | b | ) |
| inline

## Member Data Documentation

## ◆ mLengths

template<typename VecT >

std::pair<ElementT, ElementT> mLengths

## ◆ mMinMax

template<typename VecT >

ExtentT mMinMax